Loading...
Searching...
No Matches
casacore::ConstantND_PS< AutoDiff< T > > Class Template Reference

Partial specialization of ConstantND for AutoDiff. More...

`#include <ConstantND.h>`

## Public Member Functions

| ConstantND_PS (const uInt m=0)
| Constructors a constant in a space of dimensionality m.
| ConstantND_PS (const ConstantND_PS< AutoDiff< T > > &other)
| Copy constructor/assignment (deep copy).
template<class W>
| ConstantND_PS (const ConstantND_PS< W > &other)
ConstantND_PS< AutoDiff< T > > & | operator= (const ConstantND_PS< AutoDiff< T > > &other)
virtual | ~ConstantND ()
| Destructor.
virtual AutoDiff< T > | eval (typename Function< AutoDiff< T > >::FunctionArg x) const
| Evaluate the constant function at (x0,x1,..,xm-1).
virtual Function< AutoDiff< T > > * | clone () const
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * | cloneNonAD () const
Public Member Functions inherited from casacore::ConstantNDParam< AutoDiff< T > >
| ConstantNDParam (uInt m=0)
| Construct a constant in m-dimensional space.
ConstantNDParam< T > & | operator= (const ConstantNDParam< T > &other)
| Copy assignment (deep copy).
virtual | ~ConstantNDParam ()
| Destructor.
Bool | operator== (const ConstantNDParam< T > &other) const
| Comparisons.
Bool | operator!= (const ConstantNDParam< T > &other) const
virtual const String & | name () const
| Give name of function.
virtual uInt | ndim () const
| What is the dimension of the parameter list.
Public Member Functions inherited from casacore::Function< T, U >
| Function ()
| Constructors.
| Function (const uInt n)
| Function (const Vector< T > &in)
| Function (const FunctionParam< T > &other)
template<class W, class X>
| Function (const Function< W, X > &other)
virtual | ~Function ()
| Destructor.
uInt | nparameters () const
| Returns the number of parameters.
virtual U | eval (FunctionArg x) const =0
| Evaluate the function object.
T & | operator[] (const uInt n)
| Manipulate the nth parameter (0-based) with no index check.
const T & | operator[] (const uInt n) const
virtual U | operator() () const
| Evaluate this function object at xor at x, y.
virtual U | operator() (const ArgType &x) const
virtual U | operator() (const Vector< ArgType > &x) const
virtual U | operator() (FunctionArg x) const
virtual U | operator() (const ArgType &x, const ArgType &y) const
virtual U | operator() (const ArgType &x, const ArgType &y, const ArgType &z) const
Bool & | mask (const uInt n)
| Manipulate the mask associated with the nth parameter (e.g.
const Bool & | mask (const uInt n) const
const FunctionParam< T > & | parameters () const
| Return the parameter interface.
FunctionParam< T > & | parameters ()
const Vector< ArgType > & | argp () const
| Get arg_p and parset_p.
Bool | parsetp () const
void | lockParam ()
| Compiler cannot always find the correct 'const' version of parameter access.
void | unlockParam ()
virtual void | setMode (const RecordInterface &mode)
| get/set the function mode.
virtual void | getMode (RecordInterface &mode) const
virtual Bool | hasMode () const
| return True if the implementing function supports a mode.
ostream & | print (ostream &os) const
| Print the function (i.e.
Public Member Functions inherited from casacore::Functional< FunctionTraits< T >::ArgType, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const FunctionTraits< T >::ArgType &x) const=0
| Map a Domain x into a Range y value.
Public Member Functions inherited from casacore::Functional< Vector< FunctionTraits< T >::ArgType >, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const Vector< FunctionTraits< T >::ArgType > &x) const=0
| Map a Domain x into a Range y value.

## Additional Inherited Members

Public Types inherited from casacore::Function< T, U >
typedef FunctionTraits< T >::ArgType | ArgType
typedef const ArgType * | FunctionArg
Protected Attributes inherited from casacore::Function< T, U >
FunctionParam< T > | param_p
| The parameters and masks.
Vector< ArgType > | arg_p
| Aid for non-contiguous argument storage.
Bool | parset_p
| Indicate parameter written.
Bool | locked_p
| Indicate that parameters are expected to be locked from changing.

## Detailed Description

template<class T>
class casacore::ConstantND_PS< AutoDiff< T > >

Partial specialization of ConstantND for AutoDiff.

### Synopsis

Warning: The name HyperPlane_PS is only for cxx2html documentation problems; Use HyperPlane in your code;

Definition at line 156 of file ConstantND.h.

## Constructor & Destructor Documentation

## ConstantND_PS() [1/3]

template<class T>

casacore::ConstantND_PS< AutoDiff< T > >::ConstantND_PS | ( | const uInt | m = 0 | ) |

inline explicit

Constructors a constant in a space of dimensionality m.

By default, the coefficients are initialized to zero, and m=0

Definition at line 163 of file ConstantND.h.

References casacore::ConstantNDParam< AutoDiff< T > >::ConstantNDParam().

Referenced by clone(), ConstantND_PS(), ConstantND_PS(), and operator=().

## ConstantND_PS() [2/3]

template<class T>

casacore::ConstantND_PS< AutoDiff< T > >::ConstantND_PS | ( | const ConstantND_PS< AutoDiff< T > > & | other | ) |

inline

Copy constructor/assignment (deep copy).

Definition at line 167 of file ConstantND.h.

References ConstantND_PS(), and casacore::ConstantNDParam< AutoDiff< T > >::ConstantNDParam().

## ConstantND_PS() [3/3]

template<class T>
template<class W>

casacore::ConstantND_PS< AutoDiff< T > >::ConstantND_PS | ( | const ConstantND_PS< W > & | other | ) |

inline

Definition at line 170 of file ConstantND.h.

References ConstantND_PS(), and casacore::ConstantNDParam< AutoDiff< T > >::ConstantNDParam().

## ~ConstantND()

template<class T>

virtual casacore::ConstantND_PS< AutoDiff< T > >::~ConstantND | ( |  | ) |

inline virtual

Destructor.

Definition at line 178 of file ConstantND.h.

## Member Function Documentation

## clone()

template<class T>

virtual Function< AutoDiff< T > > * casacore::ConstantND_PS< AutoDiff< T > >::clone | ( |  | ) | const

inline virtual

Return a copy of this object from the heap.

The caller is responsible for deleting the pointer.

Implements casacore::Function< T, U >.

Definition at line 189 of file ConstantND.h.

References ConstantND_PS().

## cloneAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * casacore::ConstantND_PS< AutoDiff< T > >::cloneAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, U >.

Definition at line 192 of file ConstantND.h.

## cloneNonAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * casacore::ConstantND_PS< AutoDiff< T > >::cloneNonAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, U >.

Definition at line 196 of file ConstantND.h.

## eval()

template<class T>

virtual AutoDiff< T > casacore::ConstantND_PS< AutoDiff< T > >::eval | ( | typename Function< AutoDiff< T > >::FunctionArg | x | ) | const

virtual

Evaluate the constant function at (x0,x1,..,xm-1).

## operator=()

template<class T>

ConstantND_PS< AutoDiff< T > > & casacore::ConstantND_PS< AutoDiff< T > >::operator= | ( | const ConstantND_PS< AutoDiff< T > > & | other | ) |

inline

Definition at line 173 of file ConstantND.h.

References ConstantND_PS(), and casacore::ConstantNDParam< AutoDiff< T > >::ConstantNDParam().

The documentation for this class was generated from the following file:

- scimath/Functionals/ConstantND.h